--- title: "Get Attack Filters Assigned to an Interface/SubInterface and Attack" slug: "get-attack-filters-assigned-to-an-interface-subinterface-and-attack" tags: ["Reference", "IPS 10.1.10"] updated: 2026-09-23T09:35:43Z published: 2026-09-23T09:35:43Z canonical: "docs.trellix.com/get-attack-filters-assigned-to-an-interface-subinterface-and-attack" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Attack Filters Assigned to an Interface/SubInterface and Attack This URL gets all the attack filters assigned to a particular interface or subinterface for a specific attack. ## Resource URL GET /sensor//interface//attackfilter/ ## Request Parameters URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | sensor_id | Sensor id | Number | Yes | | interface_ id or subinterface_id | Interface/subinterface id | Number | Yes | | attack_id | Attack id to which the attack filters are assigned | String | Yes | ## Response Parameters Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | AttackFilterDescriptor | List of attack filters with basic details | Array | Details of object in AttackFilterDescriptor: | Field Name | Description | Data Type | | --- | --- | --- | | VisibleToChild | Attack filter visible to child domain | Boolean | | DomainId | ID of domain in which the attack filter was added | Number | | IsEditable | If attack filter is editable | Boolean | | LastModTs | Last modified time stamp | String | | filterId | Attack filter id | Number | | name | Attack filter name | String | ## Example **Request** GET [https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/105/attackfilter/0x40503900](https://%3CNSM_IP%3E/sdkapi/sensor/1001/interface/105/attackfilter/0x40503900) **Response** ``` {   "AttackFilterDescriptor": [      {         "VisibleToChild": true,         "name": "test1",         "IsEditable": false,         "filterId": 419,         "DomainId": 0,         "LastModTs": "2012-07-24 00:19:00"      },      {         "VisibleToChild": true,         "name": "test2",         "IsEditable": false,         "filterId": 420,         "DomainId": 0,         "LastModTs": "2012-07-24 00:19:00"      }   ] } ```   ## Error Information Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage | | --- | --- | --- | --- | | 1 | 404 | 1402 | Invalid attack id | | 2 | 404 | 1106 | Invalid Sensor | | 3 | 404 | 1107 | Invalid interface or sub-interface id |